> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1voicenumberssip



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/voice/numbers/sip
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/numbers/sip:
    post:
      tags:
        - Number
      operationId: number.createSipNumber
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                voice_account_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                number:
                  type: integer
                sip_transport:
                  type:
                    - string
                    - 'null'
                  enum:
                    - udp
                    - tcp
                sip_domain:
                  type: string
                sip_port:
                  type:
                    - integer
                    - 'null'
                sip_username:
                  type: string
                sip_password:
                  type: string
                sip_byoc_token:
                  type:
                    - string
                    - 'null'
                twilio_sip_domain:
                  type:
                    - string
                    - 'null'
                byoc_trunk_sid:
                  type:
                    - string
                    - 'null'
                inbound_agent_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                disallowed_countries:
                  type:
                    - array
                    - 'null'
                  items:
                    type: integer
              required:
                - number
                - sip_domain
                - sip_username
                - sip_password
      responses:
        '201':
          description: '`NumberResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/NumberResource'
                required:
                  - data
        '400':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        example: BYOC numbers required Twilio Account
                    required:
                      - error
                  - type: object
                    properties:
                      error:
                        type: string
                        example: Number already exist
                    required:
                      - error
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    NumberResource:
      type: object
      properties:
        id:
          type: string
        number:
          type: integer
        voice_account_id:
          type: string
        inbound_agent_id:
          type:
            - string
            - 'null'
        sip_config:
          type: string
        disallowed_countries:
          type: string
        team_id:
          type: string
        voice_provider:
          type: string
        voice_provider_id:
          type:
            - string
            - 'null'
        last_used_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - number
        - voice_account_id
        - inbound_agent_id
        - sip_config
        - disallowed_countries
        - team_id
        - voice_provider
        - voice_provider_id
        - last_used_at
        - created_at
        - updated_at
      title: NumberResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````